geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: [v1.1.1] Classloader problem
Date Fri, 31 Aug 2007 16:52:38 GMT

On Aug 24, 2007, at 3:56 AM, Damien Barthe wrote:

>
> Yeah, it works!
> many thanks mr jencks :-)
>
> For the problem with the v2 of Geronimo, Kevan Miller said what it  
> happens.
> We will try here further test to deploy the app on it.

Hi Damien,
FYI. I have your scenario working with Geronimo 2.0.1. It requires a  
fix to Spring (http://opensource.atlassian.com/projects/spring/browse/ 
SPR-3799). So, at present, you need a spring-framework 2.0.7 nightly  
build. There's a possibility that we'll fix/work around the problem  
in XBean, so Spring 2.0.5-2.0.6 will work...

At the moment, only a server configured to use Axis2 (or no web  
services at all) will work (this is the default for our Tomcat-based  
assembly). We'll be fixing the CXF problem, shortly.

I moved the Spring and SampleJava jars into the lib directory of the  
EAR.

I was using the following in META-INF/geronimo-application.xml, but I  
don't think it's necessary:

<?xml version="1.0" encoding="UTF-8"?>
<application xmlns="http://geronimo.apache.org/xml/ns/j2ee/ 
application-1.2">
   <environment>
     <moduleId>
       <groupId>org.spring.example</groupId>
       <artifactId>MultipleContexts</artifactId>
       <version>1.0</version>
     </moduleId>
     <!--
          Don't load spring classes or spring resources from parent  
ClassLoaders.
       -->
     <hidden-classes>
       <filter>org.springframework.</filter>
       <filter>META-INF/spring</filter>
     </hidden-classes>
   </environment>
</application>

--kevan


Mime
View raw message